Subject: slim: should start after hal

From: Yves-Alexis Perez <[email-masked]>
Date: Mon, 01 Dec 2008 12:19:50 +0100

Package: slim
Version: 1.3.0-2
Severity: normal

When using xserver 1.5 (in experimental), xorg relies on hal to provide
configuration for mouse and keyboard. So X needs to be started *after* hal
for it to work, and thus slim should request that in its initscript, by
adding “hal” to the Should-Start line.

Cheers,
--
Yves-Alexis Perez

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-rc6-00184-gd9d060a (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages slim depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  libc6                         2.7-16     GNU C Library: Shared libraries
ii  libgcc1                       1:4.3.2-1  GCC support library
ii  libjpeg62                     6b-14      The Independent JPEG Group's JPEG 
ii  libpam0g                      1.0.1-4+b1 Pluggable Authentication Modules l
ii  libpng12-0                    1.2.27-2   PNG library - runtime
ii  libstdc++6                    4.3.2-1    The GNU Standard C++ Library v3
ii  libx11-6                      2:1.1.5-2  X11 client-side library
ii  libxft2                       2.1.13-2   FreeType-based font drawing librar
ii  libxmu6                       2:1.0.4-1  X11 miscellaneous utility library

Versions of packages slim recommends:
ii  tilda [x-terminal-emulator]   0.09.6-1   terminal emulator with first perso
ii  xfce4-terminal [x-terminal-em 0.2.8-5    Xfce terminal emulator
ii  xterm [x-terminal-emulator]   237-1      X terminal emulator

Versions of packages slim suggests:
pn  scrot                         <none>     (no description available)

-- debconf information:
* shared/default-x-display-manager: slim

---

From: Mike Massonnet <[email-masked]>
Date: Mon, 1 Dec 2008 19:02:49 +0100

Le Mon, 01 Dec 2008 12:19:50 +0100,
Yves-Alexis Perez <[email-masked]> a écrit :

> Package: slim
> Version: 1.3.0-2
> Severity: normal
> 
> When using xserver 1.5 (in experimental), xorg relies on hal to
> provide configuration for mouse and keyboard. So X needs to be
> started *after* hal for it to work, and thus slim should request that
> in its initscript, by adding “hal” to the Should-Start line.

Thanks for this!
Mike